<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Teilnehmer\BayerischerApothekertagStudenten\AnmeldeFormular;

class AnmeldeFormularView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'teilnehmer/bayerischer_apothekertag_studenten/anmelde_formular.sgt';
  }

  protected function getBodyDataModulArray()
  {
    return $this->viewModel->columns;
  }

  protected function getBodyExportAdapter()
  {
    
    return new \ExpColumn(
      $this->viewModel->toolSection,
      $this->viewModel->toolSettings,
      $this->viewModel->person,
      $this->viewModel->bearbeitbar
    );
  }

  protected function getDefaultDataModulArray()
  {
    $this->viewModel->person->status_erfolg = $this->viewModel->messageErfolg;
    $this->viewModel->person->status_info = $this->viewModel->messageInfo;
    $this->viewModel->person->status_fehler = $this->viewModel->messageFehler;
    $this->viewModel->person->freeField = $this->viewModel->freeField;
    $this->viewModel->person->bearbeitbar = $this->viewModel->bearbeitbar;

    return array($this->viewModel->person);
  }

  protected function getDefaultExportAdapter()
  {
    return new \ExpDozenten();
  }
}

class AnmeldeFormularViewModel
{
  public $person;
  public $columns;
  public $messageErfolg;
  public $messageInfo;
  public $messageFehler;
  public $freeField;
  public $bearbeitbar;
  public $toolSection;
  public $toolSettings;
}